Subject: Re: Transport layer interface

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 27 Aug 1999 17:12:57 -0400

ALF is already optional in the MG.  But it has to be mandatory in the MGC to
guarantee interoperability.

Consensus at the meeting was indicative, and the list has to confirm it.  So
far I have not perceived enough dissent to change my view of consensus on
this question.

> -----Original Message-----
> From: Rex Coldren [SMTP:[email-masked]]
> Sent: Friday, August 27, 1999 4:46 PM
> To:   Taylor, Tom-PT [CAR:B901-I:EXCH]
> Cc:   [email-masked]
> Subject:      Re: Transport layer interface
>
>
>
> Tom-PT Taylor wrote:
>
>       Rex, I'm sorry, but we have definitive consensus that the protocol
> supports
>       ALF.  By definition that means that the handling of transport issues
> is part
>       of the application.
>
> ...
>
>       Finally, I, like you, would very much like to see SCTP as a
> transport
>       alternative for our protocol.  It is shaping up nicely as something
> that
>       could meet our needs, even though support of Megaco is not
> explicitly on the
>       agenda.  However, given that it isn't here yet, I'd say this isn't
> the time
>       to try to add it.
>
> Tom,
> I'm not sure what "definitive consensus" means in the light of how many
> decisions made at meetings recently have been reversed subsequent to said
> meeting.  And I don't think we should be tied to sticking by bad decisions
> yet,
> since the first revision of the standard is not yet approved.  So I'll say
> it one last
> time:
> I would like to remove the requirement that ALF shall be in
> implementations of
> H.248.  I can see why someone implementing with TCP or SCTP would not want
>
> to have ALF in their box.  Leaving it as an option is fine with me.  And
> move it out
> of the body of the protocol to an appendix.  When SCTP becomes available
> we can
> add an appendix/annex describing its use with H.248.
>
> Rex
>

---

From: Christian Groves <[email-masked]>
Date: Mon, 30 Aug 1999 09:26:43 +1000

I'm trying to understand how ALF came to be in the protocol draft. Can
someone point me to the draft which proposed this addition to the Oslo
IETF meeting???

Cheers, Christian